# Generated by rust2rpm 10
%bcond_without check
%global debug_package %{nil}

%global crate dirs

Name:           rust-%{crate}
Version:        2.0.2
Release:        1%{?dist}
Summary:        Platform abstractions for common directories

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/dirs
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Tiny low-level library that provides platform-specific standard locations of
directories for config, cache and other data on Linux, Windows, macOS and Redox
by leveraging the mechanisms defined by the XDG base/user directory
specifications on Linux, the Known Folder API on Windows, and the Standard
Directory guidelines on macOS.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Jul 28 21:24:16 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 19 12:35:48 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.1-1
- Update to 1.0.5

* Thu Feb 28 2019 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Sat Feb 09 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-4
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 09 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.4-2
- Adapt to new packaging

* Thu Sep 27 2018 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Tue Sep 18 2018 Josh Stone <jistone@redhat.com> - 1.0.3-1
- Initial package
